---
title: Fixing MDN content bugs
slug: MDN/Contribute/Fixing_MDN_content_bugs
tags:
  - Bugs
  - Contribute
  - MDN
---
<p>{{MDNSidebar}}</p>

<p>Our <a href="https://github.com/mdn/content/issues">content repo</a> is where people submit issues to report problems found with MDN docs (You'll also find a lot of content bugs still to fix in the older <a href="https://github.com/mdn/sprints/issues">sprints repo</a>, which will eventually be shut down). We get a lot of content bugs, and any help you can give in fixing them would be much appreciated.</p>

<h2 id="What_do_we_need_help_with">What do we need help with?</h2>

<p>To help you choose what content issues to work on, we've split them up using GitHub labels into different timings so you'll be able to find something to work on in the time you have available.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Label</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>
     <a href="https://github.com/mdn/content/issues?q=is%3Aissue+is%3Aopen+label%3A%2210+minute+task%22">10-minute tasks on the content repo</a><br>
     <a href="https://github.com/mdn/sprints/issues?q=is%3Aissue+is%3Aopen+label%3A%2210+minute+task%22">10-minute tasks on the sprints repo</a></td>
   <td>A really quick task, which will probably take you 10 minutes or less.</td>
  </tr>
  <tr>
   <td>
     <a href="https://github.com/mdn/content/issues?q=is%3Aissue+is%3Aopen+label%3A%2230+minute+task%22">30-minute tasks on the content repo</a><br>
     <a href="https://github.com/mdn/sprints/issues?q=is%3Aissue+is%3Aopen+label%3A%2230+minute+task%22">30-minute tasks on the sprints repo</a>
   </td>
   <td>A slightly more involved task — might take around 30 minutes.</td>
  </tr>
  <tr>
   <td>
     <a href="https://github.com/mdn/content/issues?q=is%3Aissue+is%3Aopen+label%3A%221+hour+task%22">1-hour tasks on the content repo</a><br>
     <a href="https://github.com/mdn/sprints/issues?q=is%3Aissue+is%3Aopen+label%3A%221+hour+task%22">1-hour tasks on the sprints repo</a>
   </td>
   <td>A long task — will take an hour, or maybe even two.</td>
  </tr>
  <tr>
   <td>
     <a href="https://github.com/mdn/content/issues?q=is%3Aissue+is%3Aopen+label%3A%22multiple+hour+task%22">multiple hour tasks on the content repo</a><br>
     <a href="https://github.com/mdn/sprints/issues?q=is%3Aissue+is%3Aopen+label%3A%22multiple+hour+task%22">multiple hour tasks on the sprints repo</a>
   </td>
   <td>A very in-depth task taking multiple hours to complete.</td>
  </tr>
 </tbody>
</table>

<p>If you'd prefer to browse your tasks and choose by technology category instead, you can also find the same issues organized into project boards:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Project board</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/12">Learn docs MDN project board</a></td>
   <td>Issues concerning <a href="/en-US/docs/Learn">Learn Web Development</a>.</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/11">Content architecture MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/11"> board</a></td>
   <td>Issues concerning general content, page architecture, and other misc tasks on MDN.</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/10">HTTP docs MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/10"> board</a></td>
   <td>Issues concerning <a href="/en-US/docs/Web/HTTP">HTTP</a> docs</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/9">HTML docs MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/9"> board</a></td>
   <td>Issues concerning <a href="/en-US/docs/Web/HTML">HTML</a> docs</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/8">DevTools docs MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/8"> board</a></td>
   <td>Issues concerning Firefox <a href="/en-US/docs/Tools">DevTools</a> docs</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/7">WebExtensions docs MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/7"> board</a></td>
   <td>Issues concerning <a href="/en-US/docs/Mozilla/Add-ons/WebExtensions">WebExtensions</a> docs</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/6">CSS docs MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/6"> board</a></td>
   <td>Issues concerning <a href="/en-US/docs/Web/CSS/Reference">CSS</a> docs</td>
  </tr>
  <tr>
   <td><a href="https://github.com/mdn/sprints/projects/5">JavaScript docs MDN </a><a href="https://github.com/mdn/sprints/projects/12">project</a><a href="https://github.com/mdn/sprints/projects/5"> board</a></td>
   <td>Issues concerning <a href="/en-US/docs/Web/JavaScript">JavaScript</a> docs</td>
  </tr>
 </tbody>
</table>

<h2 id="How_can_you_benefit">How can you benefit?</h2>

<ul>
 <li>Fixing MDN content bugs is a great way to learn more about web technologies — as you research a problem and create the required content, you will gain a deeper understanding of the subject, and improve your skills.</li>
 <li>As you get more involved in the MDN community, you'll get to know Mozilla staff and other community members, giving you a valuable network of contacts for getting help with your own issues and increasing your visibility.</li>
 <li>Helping to fix problems is largely its own reward, but it will also serve as a record of your open source contributions, demonstrating your expertise in web technologies and possibly even helping you with your course, or job opportunities.</li>
</ul>

<h2 id="What_skills_do_you_need">What skills do you need?</h2>

<ul>
 <li>You need to be knowledgeable in the topic areas that you choose to help with (e.g. JavaScript, CSS).</li>
 <li>Most of the examples and pages that you will help with are written in English, so you should have a reasonable understanding of the English language. But don't worry if your English is not perfect! Our team is more than happy to help clean up any writing.</li>
</ul>

<h2 id="How_to_help">How to help</h2>

<ol>
 <li>First of all, sign up for a <a href="https://github.com/join">GitHub account</a>, if you don’t already have one — you'll need this to communicate on the GitHub issues.</li>
 <li>Sign up for an MDN account, if you don’t already have one, as explained in <a href="/en-US/docs/MDN/Contribute/Getting_started#Step_1_Create_an_account_on_MDN">Create an account on MDN</a>. You can authenticate it using your GitHub account, and you'll need this to update MDN content as required to fix the issues you sign up for.</li>
 <li>Next, choose one or more topic areas you’d like to help with. Use the list above to get more information to help you make your selection. If you are not sure what a good choice would be, ask for help in the <a href="https://chat.mozilla.org/#/room/#mdn:mozilla.org">MDN Web Docs chat room</a> on <a href="https://wiki.mozilla.org/Matrix">Matrix</a>. </li>
</ol>

<h3 id="Once_you_are_set_up">Once you are set up</h3>

<ol>
 <li>Choose an issue to work on that interests you, and ask us to assign it to you with a comment on the issue.</li>
 <li>If you need any help when you are working on it, feel free to contact us in the <a href="https://chat.mozilla.org/#/room/#mdn:mozilla.org">MDN Web Docs chat room</a> on <a href="https://wiki.mozilla.org/Matrix">Matrix</a>.</li>
 <li>Once you've fixed an issue, ask the submitter for a review and, hopefully, they will tell you whether they think more work is required. We will get involved if needed.</li>
 <li>Once the issue is verified fixed, it can be closed. The person closing the issue can be either the original issue submitter, or an MDN staff member.</li>
</ol>

<div class="notecard note">
<p><strong>Note</strong>: When choosing and working on an issue, you might find our <a href="/en-US/docs/MDN/Contribute/GitHub_best_practices">GitHub best practices</a> useful.</p>
</div>
